using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMStageAttrMap : APTEntityBaseMap<T_FM_STAGE_ATTR>
	{
		public override void Configure(EntityTypeBuilder<T_FM_STAGE_ATTR> builder)
		{
			base.Configure(builder);

			builder.Property(t => t.VALUE).HasMaxLength(100);
			builder.Property(t => t.DESC).HasMaxLength(300);

			builder.HasOne(t => t.Nav_PlanParam).WithMany()
				.HasForeignKey(t => t.PLAN_PARAM_ID);
		} 
	}
}
